generic_unary_traits< binder_second< BinaryFunction, A2 > >::hint< A1, undeterminated_basic< T > >

## Public Types

typedef result_hint< A1 >::type | result_type
typedef A1 | argument_type

## Detailed Description

### template<class BinaryFunction, class A2>
template<class A1, class T>
struct rheolef::details::generic_unary_traits< binder_second< BinaryFunction, A2 > >::hint< A1, undeterminated_basic< T > >

Definition at line 1757 of file expression.h.

## Member Typedef Documentation

## result_type

typedef result_hint<A1>::type result_type

Definition at line 1758 of file expression.h.

## argument_type

typedef A1 argument_type

Definition at line 1759 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h